//----------------------------------------------------------------------------------------
// MPolevault.cp
// Copyright 1991-1992 Apple Computer, Inc.
//----------------------------------------------------------------------------------------

#ifndef __UPRINTING__
#include <UPrinting.h>
#endif

#ifndef __UAPPLICATIONPolevault__
#include "UApplicationPolevault.h"
#endif

#ifndef __UDOCUMENTPolevault__
#include "UDocumentPolevault.h"
#endif

#ifndef __UPolevaultVIEW__
#include "UPolevaultView.h"
#endif

// Generate universal code
#pragma processor 68000
extern "C" void debugf(char*, ...);

//----------------------------------------------------------------------------------------
// main: 
//----------------------------------------------------------------------------------------
#pragma segment Main
void main ()
{
//	TApplicationPolevault	*gApplicationPolevault;			// Application object
	
	InitToolBox();											// Essential toolbox & utilities
	
	if (ValidateConfiguration(gConfiguration))
	{
		InitUMacApp(8);										// Initialize MacApp with 10 calls to MoreMasters
		InitUPrinting();									// Initialize the printing gear
		InitUTEView();										// Initialize the text editing unit 
		InitUDialog();										// Initialize the dialog unit
		
		InitUPolevaultView();								// Initialize the application's view unit.

		gApplicationPolevault = new TApplicationPolevault;	// Allocate application object
		gApplicationPolevault->IApplicationPolevault();		//	Initialize the object
		gApplicationPolevault->Run();						//	Well lets run it then!
	}
	else
		StdAlert(phUnsupportedConfiguration);
} // main 

