// ===========================================================================
//	CTridentWindow.h						1993 Metrowerks Inc. All rights reserved.
// ===========================================================================

#pragma once

#include <LWindow.h>
#include "CTridentIdler.h"
#include "CTridentWindow.h"
#include "CTridentView.h"

class CTridentView;

//==============================window stuff====================================

class	CTridentWindow : public LWindow {

public:
	static CTridentWindow*	CreateTridentWindowStream(LStream *inStream);
							CTridentWindow();
							CTridentWindow(LStream *inStream);
							~CTridentWindow();
				void		SetPortRefNum(short thePortRefNum);
				void		SetAddress(TargetID& theTarget) ;
//				Boolean		DoSomethingWillYa(CommandT	inCommand, void *ioParam);
				void	 	Connect(); 
				void		FindCommandStatus(CommandT inCommand,
							Boolean 	&outEnabled,
							Boolean 	&outUsesMark,
							Char16 		&outMark,
							Str255 		outName);
		virtual Boolean		ObeyCommand(CommandT inCommand, void *ioParam = nil);
				void	 	SendNull(); 
				void	 	SendQuit(); 
				void	 	SendVersion(); 
				void	 	SendInterval(long seconds); 
				void	 	SendHeart(); 
				Boolean 	IsConnected(); 
			virtual void	HandleAppleEvent( const AppleEvent	&inAppleEvent,
							AppleEvent	&outAEReply,
							AEDesc	&outResult,
							long	inAENumber)	;
	CTridentView* 			myView;						
	AEAddressDesc			fAEAddressDesc;
	short					fPortRefNum;
};
