/*
	UCommandJavelin.h
	
	Copyright 1991-1992 Apple Computer, Inc.
	All rights reserved

	Change History:
	
 */

#ifndef __UCOMMANDJAVELIN__
#define __UCOMMANDJAVELIN__

//----------------------------------------------------------------------------------------
// Global constants    //all new  rD
//----------------------------------------------------------------------------------------

/* Command numbers */
const CommandNumber cGetPPCServerCmd 				= 404;
const CommandNumber cAEHeartBeat	 				= 407;
const CommandNumber cAEJavMsg 						= 408;
const CommandNumber cAEJavelinCommand 				= 409;


const CommandNumber cConfig1						= 420;
const CommandNumber cConfig10						= 421;
const CommandNumber cConfig30						= 422;
const CommandNumber cConfig60						= 423;

// Dialog 'Views'

const ResNumber phAboutBox					= 1201;
const ResNumber phLookupDialog				= 1203;

//----------------------------------------------------------------------------------------
// Forward and external classes (see Types.h for PascalObj macro)
//----------------------------------------------------------------------------------------

class PascalObj TDocumentJavelin;

//----------------------------------------------------------------------------------------
//  TLookupLauncher: Launches the PPC Browser
//----------------------------------------------------------------------------------------

class TLookupLauncher	: public TCommand
{
public:
	TDocumentJavelin*	fDocument;
	// Construction/Destruction
	virtual pascal void ILookupLauncher(CommandNumber aCommandNumber,
										   TDocumentJavelin* theDoc);

	// Command operations
	virtual pascal void DoIt();											// OVERRIDE
	virtual pascal void WakeupServer();											// OVERRIDE
	virtual pascal void CheckVersion();											// OVERRIDE
};

//----------------------------------------------------------------------------------------------

#define SUCCESS(code) (*code == 'S')

// used to stuff toolbox returns into CStrings
#define UNBUF(field) {\
					 buf[actualSize] = NULL;\
					 field = buf;\
}
//----------------------------------------------------------------------------------------------



//----------------------------------------------------------------------------------------------
class TConfigCommand: public TServerCommand
{	
public:
	virtual pascal void DoIt();		// Override
};

#endif
