/*									MicrosecondTrap.r								*/
/*
 * MicrosecondTrap.r
 * Copyright  1994 Apple Computer Inc.
 */
#define REZ
#include "Types.r"
#include "SysTypes.r"
#include "MicrosecondTrapTest.h"

#ifdef __powerc
/*
 * All Power PC applications need a code-fragment resource that the code
 * fragment manager uses to facilitate dynamic fragment binding.
 */
#include "CodeFragmentTypes.r"
	
resource 'cfrg' (0) {
	{
		kPowerPC,
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsApp,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"SCSIDriveIDSample"
	}
};
#endif


resource 'DLOG' (DLOG_Hello, "Hello There") {
	{100, 80, 140, 260},
	dBoxProc,
	visible,
	noGoAway,
	0x0,
	DLOG_Hello,
	""
};

resource 'DITL' (DLOG_Hello, "Hello There") {
	{
		{ 10,  10,  30, 176}, StaticText	{ disabled, "Please click the mouse."	},
	}
};

resource 'ALRT' (DLOG_Goodbye, "Goodbye for now", purgeable) {
	{100, 80, 200, 440},
	DLOG_Goodbye,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'DITL' (DLOG_Goodbye, "Goodbye for now", purgeable) {
	{
		{ 70, 250,  90, 350}, Button		{ enabled,	"OK"						},
		{ 10, 110,  60, 350}, StaticText	{ disabled,
				"You clicked for ^0 Seconds."	},
	}
};

resource 'ALRT' (ALRT_Error, "Error", purgeable) {
	{100, 80, 230, 422},
	ALRT_Error,
	{
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent,
		OK, visible, silent
	}
};

resource 'DITL' (ALRT_Error, "Error", purgeable) {
	{
		{100, 220, 120, 322}, Button		{ enabled,	"OK"					},
		{ 10, 110,  96, 324}, StaticText	{ disabled,
			"System Error (^0) ^1."	},
	}
};



